Bug 1306365 - [gtk3] inverse effect of mouse wheel on vertical scroll bar inside a virtual machine under GNOME on Wayland host session
[gtk3] inverse effect of mouse wheel on vertical scroll bar inside a virtual ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 11:42 EST by Joachim Frieben
Modified: 2016-05-13 14:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: gtk3-3.20.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-13 14:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wayland: fix up/down mix up in discrete events (from gtk-3-20 branch)) (428 bytes, patch)
2016-05-04 07:21 EDT, Joachim Frieben
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 765907 None None None 2016-05-04 07:33 EDT

  None (edit)
Description Joachim Frieben 2016-02-10 11:42:38 EST
Description of problem:
For a fully updated Fedora development (rawhide) system, choosing the (default) GNOME (on Wayland) host session has the effect that scrolling up- or downward with the mouse wheel in a virtual machine run in GNOME Boxes is inverted with respect to a GNOME on Xorg host session.

Version-Release number of selected component (if applicable):
gnome-shell-3.19.4-2.fc24

How reproducible:
Always

Steps to Reproduce:
1. Start GNOME on Wayland host session.
1. Run a Fedora 23 or 24 client session inside GNOME Boxes.
2. Scroll up- or downward with the mouse wheel in some GTK-based application like GNOME Terminal or Firefox inside the virtual machine.

Actual results:
Scrolling downward makes the scroll bar scroll upward and vice versa.

Expected results:
Scrolling downward makes the scroll bar scroll downward and vice versa.

Additional info:
- Choosing a GNOME on Xorg host session restores the customary behaviour.
- The type of the client session (GNOME on Wayland/Xorg) has no influence.
Comment 1 Jan Kurik 2016-02-24 09:28:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Gabriel Rauter 2016-04-04 11:09:32 EDT
I can confirm this is also happening on arch linux, also hapening when accessing the same qemu:///session with virt-manager and also happening when starting a KDE guest session.
Comment 3 Joachim Frieben 2016-05-03 14:58:16 EDT
Issue is still present for gnome-shell-3.20.1-1.fc24. For the time being, enabling "natural scrolling" in gnome-control-center presents a workaround for restoring the correct direction.
Comment 4 Gabriel Rauter 2016-05-04 04:33:26 EDT
Check https://bugzilla.gnome.org/show_bug.cgi?id=764601 for gnome-boxes bug.
Comment 5 Joachim Frieben 2016-05-04 07:21 EDT
Created attachment 1153806 [details]
Wayland: fix up/down mix up in discrete events (from gtk-3-20 branch))

Patch from https://github.com/GNOME/gtk/commit/a537bdc1fe4d4323b9a0c39b23cb15633eeff64c which fixes the inverse scroll direction of mouse-wheel events in a GNOME on Wayland host session.
Comment 6 Joachim Frieben 2016-05-04 07:23:18 EDT
Issue is fixed upstream in the gtk-3-20 branch and will be included in the upcoming release gtk+ 3.20.4.

Note You need to log in before you can comment on or make changes to this bug.